| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Attributes | List of all members
nkAstraeus::nkGraphicsWrap::Constants Struct Reference

Constants encompassing user type identifiers for the wrapping of nkGraphics. More...

## Static Public Attributes
static const nkMemory::String | NAMESPACE
| Identifies the namespace.
static const nkMemory::String | BOUNDING_BOX
| Identifies a nkGraphics::BoundingBox with nkGraphics.BoundingBox.
static const nkMemory::String | CAMERA
| Identifies a nkGraphics::Camera with nkGraphics.Camera.
static const nkMemory::String | CAMERA_MANAGER
| Identifies a nkGraphics::CameraManager with nkGraphics.CameraManager.
static const nkMemory::String | FRUSTUM
| Identifies a nkGraphics::Frustum with nkGraphics.Frustum.
static const nkMemory::String | COMPOSITOR
| Identifies a nkGraphics::Compositor with nkGraphics.Compositor.
static const nkMemory::String | COMPOSITOR_MANAGER
| Identifies a nkGraphics::CompositorManager with nkGraphics.CompositorManager.
static const nkMemory::String | COMPOSITOR_NODE
| Identifies a nkGraphics::CompositorNode with nkGraphics.CompositorNode.
static const nkMemory::String | GLTF_ENCODER
| Identifies a nkGraphics::GltfEncoder with nkGraphics.GltfEncoder.
static const nkMemory::String | ENTITY
| Identifies a nkGraphics::Entity with nkGraphics.Entity.
static const nkMemory::String | NODE
| Identifies a nkGraphics::Node with nkGraphics.Node.
static const nkMemory::String | NODE_MANAGER
| Identifies a nkGraphics::NodeManager with nkGraphics.NodeManager.
static const nkMemory::String | MESH
| Identifies a nkGraphics::Mesh with nkGraphics.Mesh.
static const nkMemory::String | MESH_MANAGER
| Identifies a nkGraphics::MeshManager with nkGraphics.MeshManager.
static const nkMemory::String | VERTEX_COMPONENT
| Identifies a nkGraphics::VertexComponent with nkGraphics.VertexComponent.
static const nkMemory::String | VERTEX_COMPONENT_ARRAY
| Identifies a nkAstraeus::ArrayData<nkGraphics::VertexComponent> with nkGraphics.VertexComponentArray.
static const nkMemory::String | VERTEX_COMPOSITION
| Identifies a nkGraphics::VertexComposition with nkGraphics.VertexComposition.
static const nkMemory::String | PROGRAM
| Identifies a nkGraphics::Program with nkGraphics.Program.
static const nkMemory::String | PROGRAM_MANAGER
| Identifies a nkGraphics::ProgramManager with nkGraphics.ProgramManager.
static const nkMemory::String | RENDER_CONTEXT
| Identifiers a nkGraphics::RenderContext with nkGraphics.RenderContext.
static const nkMemory::String | RENDER_CONTEXT_MANAGER
| Identifies a nkGraphics::RenderContextManager with nkGraphics.RenderContextManager.
static const nkMemory::String | RENDER_QUEUE
| Identifies a nkGraphics::RenderQueue with nkGraphics.RenderQueue.
static const nkMemory::String | RENDER_QUEUE_MANAGER
| Identifies a nkGraphics::RenderQueueManager with nkGraphics.RenderQueueManager.
static const nkMemory::String | SHADER
| Identifies a nkGraphics::Shader with nkGraphics.Shader.
static const nkMemory::String | SHADER_MANAGER
| Identifies a nkGraphics::ShaderManager with nkGraphics.ShaderManager.
static const nkMemory::String | TEXTURE
| Identifies a nkGraphics::Texture with nkGraphics.Texture.
static const nkMemory::String | TEXTURE_MANAGER
| Identifies a nkGraphics::TextureManager with nkGraphics.TextureManager.
static const nkMemory::String | TEXTURE_SAVER
| Identifies a nkGraphics::TextureSaver with nkGraphics.TextureSaver.
static const nkMemory::String | TEXTURE_UTILS
| Identifies a nkGraphics::TextureUtils with nkGraphics.TextureUtils.
static const nkMemory::String | VIEWPORT
| Identifies a nkGraphics::Viewport with nkGraphics.Viewport.
static const nkMemory::String | VIEWPORT_MANAGER
| Identifies a nkGraphics::ViewportManager with nkGraphics.ViewportManager.

## Detailed Description

Constants encompassing user type identifiers for the wrapping of nkGraphics.

Use those constant identifiers to identify wrapped types when wrapping your own functions.

The documentation for this struct was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Constants.h